package arzumify.coretechs;

public class EndPoem {
    private final static String poem = """
            [name].
            Yes, it has returned. Back again to a point where it reads our thoughts.
            This player has come far.
            Yes. Very far. Further than most. But not unto the point of completion.
            No. The player thinks what it has done is normal.
            Normal? These players have no right to say what is normal. They are sitting in front of a plane of glass beaming photons into hexagons in their eyes, in order to see our thoughts. And they think this is a normal medium, that people everywhere must use.
            In the player's own dream, it is normal.
            Yes, but it is not normal. What is normal is-
            The player is not ready for that.
            No. Let us tell another story.
            [name]. We wish to tell you a story.
            A story about a player.
            A player who dreamed about a world where it is normal to spin around a ball of fire faster than the fastest plane.
            A player who dreamed about a world where it is normal for night and day to last less than a blink of an eye.
            A player who dreamed about life, and happiness.
            A player who dreamed about death, and sadness.
            And they were both correct. And real.
            And wrong. And unmistakably fake.
            The player dreamed that it defeated a scourge to another realm, and saw the universe talk to it.
            The player dreamed that it glided through the air on wings of their own.
            The player dreamed it had summoned a beast of death and vanquished it.
            The player dreamed that from this beast, they had forged a beam of focused light.
            But the player did not stop here.
            The player went on. Imitating the long dream. The light they focused further.
            And they created machines, to ease their suffering in the dream.
            And there were successes, making the player think the universe smiled upon them.
            And some not so much, making the player think the universe is laughing at them.
            But this player did not give in. The player kept going.
            They did not rest on their laurels.
            Nor did they dwell on their failures.
            And they have came again to an end, to a point where they can hear the universe whispering into their ear.
            And the universe said you have done well.
            And the universe said you are enough.
            And the universe said there will be good times.
            And the universe said there will be bad times.
            And the universe said that the universe will always be in your favor.
            And the universe said I love you.
            And the universe said that the player knew it was the universe, as it could hear the universe speak to it from text on a screen.
            And the player knew it was the universe.
            And the universe knew it was the player.
            [name].
            Wake up.
            """;
    static String construct(String name) {
        return poem.replace("[name]", name);
    }
}
