package arzumify.coretechs;

import eu.pb4.polymer.blocks.api.BlockModelType;
import eu.pb4.polymer.blocks.api.PolymerBlockModel;
import eu.pb4.polymer.blocks.api.PolymerBlockResourceUtils;
import eu.pb4.polymer.blocks.api.PolymerTexturedBlock;
import net.minecraft.block.Block;
import net.minecraft.block.BlockState;
import net.minecraft.util.Identifier;

public class TexturedBlock extends Block implements PolymerTexturedBlock {
    public TexturedBlock(Settings settings, Identifier id) {
        super(settings);
        this.state = PolymerBlockResourceUtils.requestBlock(BlockModelType.TRANSPARENT_BLOCK, PolymerBlockModel.of(id));
    }

    private final BlockState state;

    @Override
    public BlockState getPolymerBlockState(BlockState state) {
        return this.state;
    }
}
