package arzumify.coretechs;

import eu.pb4.polymer.core.api.item.PolymerBlockItem;
import eu.pb4.polymer.resourcepack.api.PolymerModelData;
import eu.pb4.polymer.resourcepack.api.PolymerResourcePackUtils;
import net.minecraft.block.Block;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;
import net.minecraft.item.Items;
import net.minecraft.server.network.ServerPlayerEntity;
import net.minecraft.util.Identifier;
import org.jetbrains.annotations.Nullable;

public class TexturedBlockItem extends PolymerBlockItem {
    public TexturedBlockItem(Block block, Settings settings, Item virtualItem, Identifier id) {
        super(block, settings, virtualItem);
        this.model = PolymerResourcePackUtils.requestModel(Items.TRIAL_KEY, id);
    }

    private final PolymerModelData model;

    @Override
    public int getPolymerCustomModelData(ItemStack itemStack, @Nullable ServerPlayerEntity player) {
        System.out.println(model.modelPath());
        return model.value();
    }
}
